from django.db import models

from azienda.models import *

class Comunicazione(models.Model):
  '''
  contiene i valori di configurazione della posta
  '''
  mittente = models.CharField(max_length=256,null=True)
  soggetto = models.CharField(max_length=256,null=True)
  corpo = models.CharField(max_length=2048,null=True)
  azienda = models.ForeignKey(Azienda,default=0,on_delete=models.CASCADE)

  def __str__(self):
    return f"{self.id}: {self.soggetto}"

  class Meta:
    ordering = ['soggetto']
    constraints = [ models.UniqueConstraint(fields=['soggetto'], name="unique-comunicazionesoggetto") ]
    indexes = [ models.Index(fields=['soggetto']) ]


